package cn.iocoder.yudao.module.system.convert.worklog;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form.LogFormCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form.LogFormRespVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form.LogFormSimpleRespVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form.LogFormUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogFormDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 动态表单 Convert
 *
 * @author furongxin
 */
@Mapper
public interface LogFormConvert {

    LogFormConvert INSTANCE = Mappers.getMapper(LogFormConvert.class);

    LogFormDO convert(LogFormCreateReqVO bean);

    LogFormDO convert(LogFormUpdateReqVO bean);

    LogFormRespVO convert(LogFormDO bean);

    List<LogFormSimpleRespVO> convertList2(List<LogFormDO> list);

    PageResult<LogFormRespVO> convertPage(PageResult<LogFormDO> page);
}
